commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Daniel F. Savarese" <...@savarese.org>
Subject Re: [vfs][all][poll]regular expression library or jdk1.4 as minimum requirement
Date Tue, 15 Jun 2004 03:25:28 GMT

In message <20040614103847.D8080@minotaur.apache.org>, Martin Cooper writes:
>IIRC, DFS changed ORO recently so that JDK 1.4 could be used, if desired, 
>so having VFS use ORO makes sense to me.

I had only added some factory and engine classes to make it possible, but
hadn't actually wrapped the java.util.regex package.  Given that this topic
has come up enough times, I went ahead and implemented the wrapper in
the past couple of hours.  So as of right now, your statement is entirely
accurate :)  It would be nice if someone could take over from here and do
final cleanup (mostly docs, but also conditional compilation and some tests)
to get a 2.1 release out the door.  Otherwise, it may a while before I
can do it.

In the off the cuff example from my previous email, the line assigning
the matcher should have been:
  matcher  = engine.createMatcher();
Additional typos and omitted words in that email should be inferable.

daniel



---------------------------------------------------------------------
To unsubscribe, e-mail: commons-dev-unsubscribe@jakarta.apache.org
For additional commands, e-mail: commons-dev-help@jakarta.apache.org


Mime
View raw message